# ChildProjectsResource

Canonical page: https://docs.ovok.com/java-sdk/reference/child-projects-resource

```java
public final class ChildProjectsResource
```

Manages child projects of the current project. Get it from [`SlimProjectsResource.child()`](/java-sdk/reference/slim-projects-resource#child).

## Methods [#methods]

### list [#list]

```java
public JsonNode list(RequestOptions options) throws IOException, InterruptedException
```

Lists child projects (`GET /v2/slim/project/child`).

**Parameters:**

- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

### create [#create]

```java
public JsonNode create(Object body, RequestOptions options) throws IOException, InterruptedException
```

Creates a child project (`POST /v1/slim/project/child`).

**Parameters:**

- `body`: the child project to create
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

### delete [#delete]

```java
public JsonNode delete(
        String subProjectId,
        RequestOptions options) throws IOException, InterruptedException
```

Deletes a child project (`DELETE /v1/slim/project/child/{subProjectId}`).

**Parameters:**

- `subProjectId`: the child project ID
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response
